package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbExpressKdCode;

import java.util.List;

/**
 * 快递编码Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-20
 */
public interface TbExpressKdCodeMapper
{
    /**
     * 查询快递编码
     *
     * @param id 快递编码主键
     * @return 快递编码
     */
    public TbExpressKdCode selectTbExpressKdCodeById(Long id);

    /**
     * 查询快递编码列表
     *
     * @param tbExpressKdCode 快递编码
     * @return 快递编码集合
     */
    public List<TbExpressKdCode> selectTbExpressKdCodeList(TbExpressKdCode tbExpressKdCode);

    /**
     * 新增快递编码
     *
     * @param tbExpressKdCode 快递编码
     * @return 结果
     */
    public int insertTbExpressKdCode(TbExpressKdCode tbExpressKdCode);

    /**
     * 修改快递编码
     *
     * @param tbExpressKdCode 快递编码
     * @return 结果
     */
    public int updateTbExpressKdCode(TbExpressKdCode tbExpressKdCode);

    /**
     * 删除快递编码
     *
     * @param id 快递编码主键
     * @return 结果
     */
    public int deleteTbExpressKdCodeById(Long id);

    /**
     * 批量删除快递编码
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbExpressKdCodeByIds(Long[] ids);

    /**
     * 查询快递
     *
     * @param code 快递编码
     * @return 快递编码
     */
    public TbExpressKdCode selectTbExpressKdCodeByCode(String code);
}
